Create Store & TPN for Existing Merchant

API Explorer
https://externalapi.ipospays.tech/v2/merchant
POST

Add a new store and TPN under an already registered merchant by providing the existing merchantId in merchantData along with full storeData and tpnData. The following APIs allow you to manage store-level operations:

  • Onboard Store and TPN (Terminal Processing Number)

  • Enable or Disable ACH Payments

If you require additional functionality or custom parameters, please contact your Dejavoo representative.

Authorization

AuthorizationHeader
token(Enter the auth token generated from the authentication endpoint)<token>

Authentication token generated using the API Key and Secret Key. Required for all API requests.

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/onBoardMerchant" \  -H "Content-Type: application/json" \  -d '{    "merchantData": {      "merchantId": ""    },    "storeData": {      "dba": "ABCZ",      "email": "te12st@gmail.com",      "mccCode": "0742",      "firstName": "John",      "lastName": "John",      "addressLine1": "8320 S HARDY DRIVE",      "addressLine2": "8320 S HARDY DRIVE",      "zipCode": "85284",      "ISDcode": "+1",      "phoneNumber": "9898989898",      "ebt": "0910991"    },    "tpnData": {      "deviceManufacturer": "Cloud POS",      "deviceModel": "Cloud POS",      "tpnApplicationSign": "CRDT",      "tpnRoutingType": "SIMPLE",      "tpnBin": "999991",      "defaultLabel": "onboardAPI",      "tpnAssignTemplate": "",      "tpnProcessor": {        "processorName": "TSYS",        "profile": [          {            "profileId": "01",            "Mid": "886000003338",            "Agent": "000000",            "Chain": "111111",            "Store": "5999",            "TermNo": "1515",            "TermId": "75124668"          }        ]      }    }  }'
{
  "message": "Store onboard successfully",
  "data": {
    "merchantId": "merchId12chr",
    "storeId": "storeId12chr",
    "tpn": "your_tpn_number",
    "tpnId": "your_tpn_id"
  }
}
{
  "message": "Store onboard failure",
  "errors": [
    {
      "code": "mandatory_field",
      "message": "Device model input is mandatory",
      "param": "tpnData.deviceModel"
    }
  ]
}
{
  "message": "Access denied, invalid authorization token!",
  "errors": []
}